Skip to content
Permalink
Browse files

Installer: raise minimum memory requirement to 128 MiB.

This is quite a tep upwards from the previous 32 MiB. Reasons
include:

 - A (rather conservative) default PHP installation on
   Debian/Ubuntu meets this requirement, so everybody should have
   at least this.

 - Even the installer tries to raise this limit to 64 MiB already
   in order to work reliable. However, such limit raises from
   within PHP code can fail. Relying on such raises anyways is
   just asking for trouble.

 - Many modules and some classes try to raise this limit as well.
   With the same set of implications.

 - It's just an upper limit. Actual memory usage is lower.

 - For comparison: the testsuite, which loads all classes,
   requires some 1080 MiB of memory on PHP 5.6, so guaranteeing
   10% of this is certainly not impudent.

Plan is to remove all attempts of raising the memory limit. Cases
not working with 128 MiB either have to get split into smaller
chunks (preferred) or report an error if the limit isn't
sufficient (should be a rare need). To get reliable operations.
  • Loading branch information...
Traumflug committed Apr 20, 2019
1 parent 653b66e commit 696393c8ad2b37064982bf610c6280daa4fbb6ee
Showing with 36 additions and 36 deletions.
  1. +1 −1 README.md
  2. +1 −1 install-dev/langs/bg/install.php
  3. +1 −1 install-dev/langs/bn/install.php
  4. +1 −1 install-dev/langs/br/install.php
  5. +1 −1 install-dev/langs/ca/install.php
  6. +1 −1 install-dev/langs/cs/install.php
  7. +1 −1 install-dev/langs/da/install.php
  8. +1 −1 install-dev/langs/de/install.php
  9. +1 −1 install-dev/langs/en/install.php
  10. +1 −1 install-dev/langs/es/install.php
  11. +1 −1 install-dev/langs/fa/install.php
  12. +1 −1 install-dev/langs/fr/install.php
  13. +1 −1 install-dev/langs/he/install.php
  14. +1 −1 install-dev/langs/hr/install.php
  15. +1 −1 install-dev/langs/hu/install.php
  16. +1 −1 install-dev/langs/id/install.php
  17. +1 −1 install-dev/langs/it/install.php
  18. +1 −1 install-dev/langs/lt/install.php
  19. +1 −1 install-dev/langs/mk/install.php
  20. +1 −1 install-dev/langs/nl/install.php
  21. +1 −1 install-dev/langs/no/install.php
  22. +1 −1 install-dev/langs/pl/install.php
  23. +1 −1 install-dev/langs/pt/install.php
  24. +1 −1 install-dev/langs/qc/install.php
  25. +1 −1 install-dev/langs/ro/install.php
  26. +1 −1 install-dev/langs/ru/install.php
  27. +1 −1 install-dev/langs/sl/install.php
  28. +1 −1 install-dev/langs/sr/install.php
  29. +1 −1 install-dev/langs/sv/install.php
  30. +1 −1 install-dev/langs/tr/install.php
  31. +1 −1 install-dev/langs/tw/install.php
  32. +1 −1 install-dev/langs/vn/install.php
  33. +1 −1 install-dev/langs/zh/install.php
  34. +2 −2 install-dev/theme/views/welcome.phtml
  35. +1 −1 vagrant/playbooks/roles/thirty-bees/templates/php-fpm.conf.j2
@@ -50,7 +50,7 @@ You can find the latest version of the roadmap here: https://thirtybees.com/road
## Requirements
Support for these general requirements (except recommendations) gets tested during installation, so one can simply try to proceed. A proceeding installation means all requirements are met.

- PHP 5.6 - PHP 7.2
- PHP 5.6 - PHP 7.2 with a minimum of 128 MiB RAM
- Apache or nginx
- Linux or MacOS
- MySQL 5.5.3+ or MariaDB 5.5+
@@ -189,7 +189,7 @@
'thirty bees compatibility with your system environment has been verified!' => 'thirty bees compatibility with your system environment has been verified!',
'Oops! Please correct the item(s) below, and then click "Refresh information" to test the compatibility of your new system.' => 'Моля, коригирайте артикула(ите) по-долу и натиснете на "Опресняване на информацията", за да тествате съвместимостта на Вашата нова система.',
'Refresh these settings' => 'Опресняване на тези настройки',
'thirty bees requires at least 32 MB of memory to run: please check the memory_limit directive in your php.ini file or contact your host provider about this.' => 'thirty bees requires at least 32 MB of memory to run: please check the memory_limit directive in your php.ini file or contact your host provider about this.',
'thirty bees requires at least 128 MiB of memory to run: please check the memory_limit directive in your php.ini file or contact your host provider about this.' => 'thirty bees requires at least 128 MiB of memory to run: please check the memory_limit directive in your php.ini file or contact your host provider about this.',
'<b>Warning: You cannot use this tool to upgrade your store anymore.</b><br /><br />You already have <b>thirty bees version %1$s installed</b>.<br /><br />Use module Core Updater to update to the latest version.' => '<b>Warning: You cannot use this tool to upgrade your store anymore.</b><br /><br />You already have <b>thirty bees version %1$s installed</b>.<br /><br />Use module Core Updater to update to the latest version.',
'Welcome to the thirty bees %s Installer' => 'Welcome to the thirty bees %s Installer',
'Installing thirty bees is quick and easy. In just a few moments, you will become part of a community consisting of more than one merchant. You are on the way to creating your own unique online store that you can manage easily every day.' => 'Installing thirty bees is quick and easy. In just a few moments, you will become part of a community consisting of more than one merchant. You are on the way to creating your own unique online store that you can manage easily every day.',
@@ -189,7 +189,7 @@
'thirty bees compatibility with your system environment has been verified!' => 'thirty bees compatibility with your system environment has been verified!',
'Oops! Please correct the item(s) below, and then click "Refresh information" to test the compatibility of your new system.' => ' নীচের আইটেম (গুলি) দয়া করে সঠিক করুন তারপর আপনার নতুন সিস্টেম সামঞ্জস্যের পরীক্ষা করতে "Refresh information" ক্লিক করুন',
'Refresh these settings' => 'এই সেটিংস রিফ্রেশ করুন',
'thirty bees requires at least 32 MB of memory to run: please check the memory_limit directive in your php.ini file or contact your host provider about this.' => 'thirty bees requires at least 32 MB of memory to run: please check the memory_limit directive in your php.ini file or contact your host provider about this.',
'thirty bees requires at least 128 MiB of memory to run: please check the memory_limit directive in your php.ini file or contact your host provider about this.' => 'thirty bees requires at least 128 MiB of memory to run: please check the memory_limit directive in your php.ini file or contact your host provider about this.',
'<b>Warning: You cannot use this tool to upgrade your store anymore.</b><br /><br />You already have <b>thirty bees version %1$s installed</b>.<br /><br />Use module Core Updater to update to the latest version.' => '<b>Warning: You cannot use this tool to upgrade your store anymore.</b><br /><br />You already have <b>thirty bees version %1$s installed</b>.<br /><br />Use module Core Updater to update to the latest version.',
'Welcome to the thirty bees %s Installer' => 'Welcome to the thirty bees %s Installer',
'Installing thirty bees is quick and easy. In just a few moments, you will become part of a community consisting of more than one merchant. You are on the way to creating your own unique online store that you can manage easily every day.' => 'Installing thirty bees is quick and easy. In just a few moments, you will become part of a community consisting of more than one merchant. You are on the way to creating your own unique online store that you can manage easily every day.',
@@ -189,7 +189,7 @@
'thirty bees compatibility with your system environment has been verified!' => 'o thirty bees verificou a compartibilidade com seu sistema!',
'Oops! Please correct the item(s) below, and then click "Refresh information" to test the compatibility of your new system.' => 'Ops! Por favor corrija os itens abaixo, e depois clique “Atualizar Informações” para testar a compatibilidade do seu novo sistema.',
'Refresh these settings' => 'Atualizar estas configurações',
'thirty bees requires at least 32 MB of memory to run: please check the memory_limit directive in your php.ini file or contact your host provider about this.' => 'thirty bees requer ao menos 32 MB para ser executado: por favor, verifique a diretiva memory_limit no seu arquivo php.ini ou contate seu provedor de hospedagem a respeito.',
'thirty bees requires at least 128 MiB of memory to run: please check the memory_limit directive in your php.ini file or contact your host provider about this.' => 'thirty bees requer ao menos 128 MiB para ser executado: por favor, verifique a diretiva memory_limit no seu arquivo php.ini ou contate seu provedor de hospedagem a respeito.',
'<b>Warning: You cannot use this tool to upgrade your store anymore.</b><br /><br />You already have <b>thirty bees version %1$s installed</b>.<br /><br />Use module Core Updater to update to the latest version.' => '<b>Atenção: Você não pode mais usar essa ferramenta para atualizar sua loja.</b><br /><br />Você já tem <b>a versão %1$s do thirty bees instalada.</b><br /><br />Use module Core Updater to update to the latest version.',
'Welcome to the thirty bees %s Installer' => 'Bem-vindo ao instalador %s thirty bees',
'Installing thirty bees is quick and easy. In just a few moments, you will become part of a community consisting of more than one merchant. You are on the way to creating your own unique online store that you can manage easily every day.' => 'A instalação do thirty bees é rápida e fácil. Em poucos minutos, você se tornará parte de uma comunidade que consiste em mais de um comerciante. Você está no caminho para a criação de sua própria loja online exclusiva que você pode gerenciar facilmente todos os dias.',
@@ -189,7 +189,7 @@
'thirty bees compatibility with your system environment has been verified!' => 'La compatibilitat del thirty bees amb el vostre sistema ha estat verificada!',
'Oops! Please correct the item(s) below, and then click "Refresh information" to test the compatibility of your new system.' => 'Uuui! Si us plau corregiu primer els elements següents, i feu clic a "Refrescar informació" per tal de provar la compatibilitat del vostre nou sistema.',
'Refresh these settings' => 'Refresqueu la configuració',
'thirty bees requires at least 32 MB of memory to run: please check the memory_limit directive in your php.ini file or contact your host provider about this.' => 'El thirty bees necessita com a mínim 32 MB de memòria per executar-se: si us plau comproveu la directiva memory_limit al vostre fitxer php.ini o contacteu amb el vostre proveïdor d\'allotjament al respecte.',
'thirty bees requires at least 128 MiB of memory to run: please check the memory_limit directive in your php.ini file or contact your host provider about this.' => 'El thirty bees necessita com a mínim 128 MiB de memòria per executar-se: si us plau comproveu la directiva memory_limit al vostre fitxer php.ini o contacteu amb el vostre proveïdor d\'allotjament al respecte.',
'<b>Warning: You cannot use this tool to upgrade your store anymore.</b><br /><br />You already have <b>thirty bees version %1$s installed</b>.<br /><br />Use module Core Updater to update to the latest version.' => '<b>Warning: You cannot use this tool to upgrade your store anymore.</b><br /><br />You already have <b>thirty bees version %1$s installed</b>.<br /><br />Use module Core Updater to update to the latest version.',
'Welcome to the thirty bees %s Installer' => 'Benvingut a l\'instal·lador del thirty bees %s',
'Installing thirty bees is quick and easy. In just a few moments, you will become part of a community consisting of more than one merchant. You are on the way to creating your own unique online store that you can manage easily every day.' => 'Instal·lar el thirty bees és ràpid i fàcil. En tan sols uns moments, esdevindreu part d\'una comunitat de multitud de venedors. Esteu en el camí a crear la vostra pròpia botiga on-line única que podreu gestionar fàcilment cada dia.',
@@ -189,7 +189,7 @@
'thirty bees compatibility with your system environment has been verified!' => 'thirty bees compatibility with your system environment has been verified!',
'Oops! Please correct the item(s) below, and then click "Refresh information" to test the compatibility of your new system.' => 'Oops! Prosíme, opravte položky níže a poté klikněte na "Aktualizovat informace" pro otestování kompatibility s vaším systémem.',
'Refresh these settings' => 'Aktualizovat nastavení',
'thirty bees requires at least 32 MB of memory to run: please check the memory_limit directive in your php.ini file or contact your host provider about this.' => 'thirty bees requires at least 32 MB of memory to run: please check the memory_limit directive in your php.ini file or contact your host provider about this.',
'thirty bees requires at least 128 MiB of memory to run: please check the memory_limit directive in your php.ini file or contact your host provider about this.' => 'thirty bees requires at least 128 MiB of memory to run: please check the memory_limit directive in your php.ini file or contact your host provider about this.',
'<b>Warning: You cannot use this tool to upgrade your store anymore.</b><br /><br />You already have <b>thirty bees version %1$s installed</b>.<br /><br />Use module Core Updater to update to the latest version.' => '<b>Warning: You cannot use this tool to upgrade your store anymore.</b><br /><br />You already have <b>thirty bees version %1$s installed</b>.<br /><br />Use module Core Updater to update to the latest version.',
'Welcome to the thirty bees %s Installer' => 'Welcome to the thirty bees %s Installer',
'Installing thirty bees is quick and easy. In just a few moments, you will become part of a community consisting of more than one merchant. You are on the way to creating your own unique online store that you can manage easily every day.' => 'Installing thirty bees is quick and easy. In just a few moments, you will become part of a community consisting of more than one merchant. You are on the way to creating your own unique online store that you can manage easily every day.',
@@ -189,7 +189,7 @@
'thirty bees compatibility with your system environment has been verified!' => 'thirty bees compatibility with your system environment has been verified!',
'Oops! Please correct the item(s) below, and then click "Refresh information" to test the compatibility of your new system.' => 'Oops! Please correct the item(s) below, and then click "Refresh information" to test the compatibility of your new system.',
'Refresh these settings' => 'Refresh these settings',
'thirty bees requires at least 32 MB of memory to run: please check the memory_limit directive in your php.ini file or contact your host provider about this.' => 'thirty bees requires at least 32 MB of memory to run: please check the memory_limit directive in your php.ini file or contact your host provider about this.',
'thirty bees requires at least 128 MiB of memory to run: please check the memory_limit directive in your php.ini file or contact your host provider about this.' => 'thirty bees requires at least 128 MiB of memory to run: please check the memory_limit directive in your php.ini file or contact your host provider about this.',
'<b>Warning: You cannot use this tool to upgrade your store anymore.</b><br /><br />You already have <b>thirty bees version %1$s installed</b>.<br /><br />Use module Core Updater to update to the latest version.' => '<b>Warning: You cannot use this tool to upgrade your store anymore.</b><br /><br />You already have <b>thirty bees version %1$s installed</b>.<br /><br />Use module Core Updater to update to the latest version.',
'Welcome to the thirty bees %s Installer' => 'Welcome to the thirty bees %s Installer',
'Installing thirty bees is quick and easy. In just a few moments, you will become part of a community consisting of more than one merchant. You are on the way to creating your own unique online store that you can manage easily every day.' => 'Installing thirty bees is quick and easy. In just a few moments, you will become part of a community consisting of more than one merchant. You are on the way to creating your own unique online store that you can manage easily every day.',
@@ -189,7 +189,7 @@
'thirty bees compatibility with your system environment has been verified!' => 'Ihr System ist mit thirty bees kompatibel!',
'Oops! Please correct the item(s) below, and then click "Refresh information" to test the compatibility of your new system.' => 'Bitte korrigieren Sie untenstehende(n) Punkt(e) und klicken Sie anschließend auf den Refresh-Button, um erneut die Kompatibilität Ihres Systems zu überprüfen.',
'Refresh these settings' => 'Einstellungen aktualisieren',
'thirty bees requires at least 32 MB of memory to run: please check the memory_limit directive in your php.ini file or contact your host provider about this.' => 'Damit thirty bees einwandfrei funktionieren kann, werden mindestens 32M Speicher benötigt. Bitte überprüfen Sie die Anweisung memory_limit in der php.ini oder kontaktieren Sie Ihren Provider.',
'thirty bees requires at least 128 MiB of memory to run: please check the memory_limit directive in your php.ini file or contact your host provider about this.' => 'Damit thirty bees einwandfrei funktionieren kann, werden mindestens 128 MiB Speicher benötigt. Bitte überprüfen Sie die Anweisung memory_limit in der php.ini oder kontaktieren Sie Ihren Provider.',
'<b>Warning: You cannot use this tool to upgrade your store anymore.</b><br /><br />You already have <b>thirty bees version %1$s installed</b>.<br /><br />Use module Core Updater to update to the latest version.' => '<b>Achtung: Sie können mit diesem Tool kein Upgrade Ihres Shops mehr machen.</b><br /><br />Sie haben bereits <b>die Version %1$s von thirty bees installiert</b>.<br /><br />Für Updates auf die neueste Version gibt es das Modul Core Updater.',
'Welcome to the thirty bees %s Installer' => 'Willkommen beim Installationsassistenten von thirty bees %s',
'Installing thirty bees is quick and easy. In just a few moments, you will become part of a community consisting of more than one merchant. You are on the way to creating your own unique online store that you can manage easily every day.' => 'thirty bees lässt sich einfach und schnell installieren. In wenigen Momenten sind Sie Teil einer ganzen Gemeinschaft von Shopbesitzern. Sie sind gerade dabei, Ihren eigenen, einzigartigen Shop zu erstellen, den Sie täglich leicht verwalten können.',
@@ -189,7 +189,7 @@
'thirty bees compatibility with your system environment has been verified!' => 'thirty bees compatibility with your system environment has been verified!',
'Oops! Please correct the item(s) below, and then click "Refresh information" to test the compatibility of your new system.' => 'Oops! Please correct the item(s) below, and then click "Refresh information" to test the compatibility of your new system.',
'Refresh these settings' => 'Refresh these settings',
'thirty bees requires at least 32 MB of memory to run: please check the memory_limit directive in your php.ini file or contact your host provider about this.' => 'thirty bees requires at least 32 MB of memory to run: please check the memory_limit directive in your php.ini file or contact your host provider about this.',
'thirty bees requires at least 128 MiB of memory to run: please check the memory_limit directive in your php.ini file or contact your host provider about this.' => 'thirty bees requires at least 128 MiB of memory to run: please check the memory_limit directive in your php.ini file or contact your host provider about this.',
'<b>Warning: You cannot use this tool to upgrade your store anymore.</b><br /><br />You already have <b>thirty bees version %1$s installed</b>.<br /><br />Use module Core Updater to update to the latest version.' => '<b>Warning: You cannot use this tool to upgrade your store anymore.</b><br /><br />You already have <b>thirty bees version %1$s installed</b>.<br /><br />Use module Core Updater to update to the latest version.',
'Welcome to the thirty bees %s Installer' => 'Welcome to the thirty bees %s Installer',
'Installing thirty bees is quick and easy. In just a few moments, you will become part of a community consisting of more than one merchant. You are on the way to creating your own unique online store that you can manage easily every day.' => 'Installing thirty bees is quick and easy. In just a few moments, you will become part of a community consisting of more than one merchant. You are on the way to creating your own unique online store that you can manage easily every day.',

0 comments on commit 696393c

Please sign in to comment.
You can’t perform that action at this time.